Subject: bug#33007: 27.0.50; Proposal for function to edit and return string

From: Michael Heerdegen <[email-masked]>
Date: Thu, 11 Oct 2018 15:31:15 +0200

Jean Louis <[email-masked]> writes:

> Something like this below shall become read-from-buffer [...]

I agree that such an interface would be useful for Emacs.  I think it
already has been reinvented multiple times in Emacs itself.  I invented
it myself.

Some minor thoughts: The input buffer should be more controllable: modes
and keymap shouldn't be fixed.  Also, it should be possible to prefill
the buffer with a string describing what the user is expected to do, and
which is ignored after the user has finished.

Michael.